<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoKpiKpisTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_kpi_kpis
         */
        Schema::create('bixo_kpi_kpis', function ($table) {
            $table->increments('id');
            $table->integer('actionable_id')->nullable();
            $table->string('actionable_type', 50)->nullable();
            $table->string('type', 50)->nullable();
            $table->integer('action_id')->nullable();
            $table->string('action_type', 30)->nullable();
            $table->dateTime('date')->nullable();
            $table->integer('score')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_kpi_kpis');
    }
}
