<?php

namespace Bixo\Kpi\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Kpi\Models\Kpi;


class KpiAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.kpi.kpi';
    protected $eventClass = \Bixo\Kpi\Events\KpiAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Kpi $kpi, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $kpi;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Kpi $kpi, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $kpi = $kpi->create($attributes);
        return $kpi;
    }

    public function update(Kpi $kpi, array $request)
    {
        $attributes = $request;
        $kpi->update($attributes);
        return $kpi;
    }

    public function destroy(Kpi $kpi, array $request)
    {
        $kpi->delete();
        return $kpi;
    }

    public function copy(Kpi $kpi, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $kpi = $kpi->replicate();
            $kpi->created_at = Carbon::now();
            $kpi->save();
            return $kpi;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $kpi->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $kpi;
    }


}
