<?php

namespace Bixo\Kpi\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Kpi\Http\Requests\KpiActionsRequest;
use Bixo\Kpi\Actions\KpiActions;

/**
 * Admin web controller class.
 */
class KpiActionsController extends BaseController
{

    /**
     * Action controller function for kpi.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(KpiActionsRequest $request, $action)
    {
        try {
            $kpi = KpiActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('kpi::kpi.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('kpi/kpi/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('kpi/kpi/' . $action))
                ->redirect();
        }
    }
}
