<?php

namespace Bixo\Kpi\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Illuminate\Support\Str;
use Bixo\Kpi\Actions\KpiExim;
use Bixo\Kpi\Http\Requests\KpiEximRequest;

/**
 * Admin web controller class.
 */
class KpiEximController extends BaseController
{
    /**
     * Action controller function for kpi.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(KpiEximRequest $request, $exim)
    {
        try {
            $function = Str::camel($exim);
            $data = KpiExim::$function($request);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('kpi:kpi.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('kpi/kpi/' . $exim))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('kpi/kpi/' . $exim))
                ->redirect();
        }
    }
}
