<?php

namespace Bixo\Kpi\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Kpi\Actions\KpiReport;
use Bixo\Kpi\Http\Requests\KpiReportRequest;

/**
 * Admin web controller class.
 */
class KpiReportController extends BaseController
{
    /**
     * Action controller function for kpi.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(KpiReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Kpi::class);
            $data = KpiReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('kpi::kpi.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('kpi/kpi/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('kpi/kpi/' . $report))
                ->redirect();
        }
    }
}
