<?php
namespace Bixo\Kpi\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Bixo\Kpi\Events\KpiAction as KpiActionEvent;
use Bixo\Kpi\Models\Kpi;

class KpiAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $kpi;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param KpiActionEvent $kpi
     */
    public function __construct(KpiActionEvent $kpi)
    {
        $this->action = $event->action;
        $this->kpi = $kpi;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Kpi Approved - ' . config('app.name'))
            ->view('kpi::kpi.email.action', ['data' => $this->kpi]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
