<?php

namespace Bixo\Kpi\Policies;

use Bixo\Kpi\Models\Kpi;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait KpiAction
{

    /**
     * Determine if the given user can copy the given kpi.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Kpi $kpi)
    {

        if ($authUser->canDo('kpi.kpi.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given kpi.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Kpi $kpi) {

        if ($authUser->canDo('kpi.kpi.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given kpi.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Kpi $kpi)
    {

        if ($authUser->canDo('kpi.kpi.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
