<?php

namespace Bixo\Kpi\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait KpiExim
{

    /**
     * Determine if the given user can approve the given kpi.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('kpi.kpi.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given kpi.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('kpi.kpi.export')) {
            return true;
        }

        return false;
    }
}
