<?php


namespace Bixo\Kpi\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait KpiReport
{

    /**
     * Determine if the given user can approve the given kpi.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('kpi.kpi.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given kpi.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('kpi.kpi.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given kpi.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('kpi.kpi.report.download')) {
            return true;
        }

        return false;
    }
}
