<?php

namespace Bixo\Kpi\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Kpi\Events\KpiAction;
use Bixo\Kpi\Events\KpiWorkflow;
use Bixo\Kpi\Listeners\KpiAction as KpiActionListener;
use Bixo\Kpi\Listeners\KpiWorkflow as KpiWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        KpiAction::class => [
            KpiActionListener::class,
        ],
        KpiWorkflow::class => [
            KpiWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
